;----------------------------------------------------------------------------
;    MODULE NAME:   BULK_C2S.X
;
;        $Author:   Dennis_Bareis  $
;      $Revision:   1.1  $
;          $Date:   06 Nov 1999 12:34:48  $
;       $Logfile:   E:/DB/PVCS.IT/OS2/REXXHDR/BULK_C2S.X_V  $
;         SOURCE:   http://www.labyrinth.net.au/~dbareis/index.htm (db0@anz.com)
;
;    DESCRIPTION:   Example program for "BULK_C2S.XH".
;
;                   Compile with "ppwizard BULK_C2S.X /rexx"
;----------------------------------------------------------------------------

/*
 * $Header:   E:/DB/PVCS.IT/OS2/REXXHDR/BULK_C2S.X_V   1.1   06 Nov 1999 12:34:48   Dennis_Bareis  $
 */


/*--- Include Search & Replace Header file ----------------------------------*/
#define  BULK_C2S_COUNTER_NAME   MyCounter
#define  BULK_C2S_PROCEDURE      procedure expose MyCounter BulkFrom BulkFrom.
#define  BULK_C2S_PREPARE_CODE
#include "BULK_C2S.XH"

/*--- Set up conversion information ('&' first as others generate '&' chars) */
BulkFrom   = "&<>";     ;;Lists all chars we wish to convert (in conversion order)
BulkFrom.1 = "&amp;"    ;;'&'
BulkFrom.2 = "&lt;"     ;;'<'
BulkFrom.3 = "&gt;"     ;;'>'

/*--- Just for demo purposes do EXACTLY same as above (just different "array") ---*/
call BulkChangePrepare "BulkFrom2";                 ;;Initialize to empty
call BulkChangePrepare "BulkFrom2", '&', '&amp;';
call BulkChangePrepare "BulkFrom2", '<', '&lt';
call BulkChangePrepare "BulkFrom2", '>', '&gt';

/*--- Make the change -------------------------------------------------------*/
Before = "1234 < 5678 > 9012 & 1234 &&&"
After  = BulkChar2String(Before, 'BulkFrom');

/*--- Say what we did -------------------------------------------------------*/
say 'BEFORE: "' || Before || '"'
say ' AFTER: "' || After  || '"'

/*--- Return with number of changes made ------------------------------------*/
exit(MyCounter);
